Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# AntialiasAttrib Class Reference

Specifies whether or how to enable antialiasing, if supported by the backend renderer. More...

Inheritance diagram for AntialiasAttrib:

List of all members.

## Public Types
enum | Mode { MNone = 0, MPoint = 1, MLine = 2, MPolygon = 4, MMultisample = 8, MAuto = 31, MTypeMask = 31, MFaster = 32, MBetter = 64, MDontCare = 96 }
## Public Member Functions
unsigned short int | getMode ()
| Returns the specified antialias mode.
unsigned short int | getModeQuality ()
| Returns the specified antialias mode, with the type bits masked out.
unsigned short int | getModeType ()
| Returns the specified antialias mode, with the quality bits masked out.
## Static Public Member Functions
static int | getClassSlot ()
static TypeHandle | getClassType ()
static RenderAttrib const | make (unsigned short int mode)
| Constructs a new AntialiasAttrib object.
static RenderAttrib const | makeDefault ()
| Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

## Detailed Description

Specifies whether or how to enable antialiasing, if supported by the backend renderer.

## Member Enumeration Documentation

enum Mode

Enumerator:

  MNone |
  MPoint |
  MLine |
  MPolygon |
  MMultisample |
  MAuto |
  MTypeMask |
  MFaster |
  MBetter |
  MDontCare |

## Member Function Documentation

static int getClassSlot | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderAttrib.

unsigned short int getMode | ( |  | ) |

Returns the specified antialias mode.

unsigned short int getModeQuality | ( |  | ) |

Returns the specified antialias mode, with the type bits masked out.

This therefore indicates only the requested quality settings: one of M_faster, M_better, M_dont_care, or zero (unspecified).

unsigned short int getModeType | ( |  | ) |

Returns the specified antialias mode, with the quality bits masked out.

This therefore indicates only the requested type of antialiasing: M_none, M_auto, or some specific combination.

static RenderAttrib const make | ( | unsigned short int | mode | ) | `[static]`

Constructs a new AntialiasAttrib object.

The mode should be either M_none, M_auto, or a union of any or all of M_point, M_line, M_polygon, and M_multisample. Also, in addition to the above choices, it may include either of M_better of M_faster to specify a performance/quality tradeoff hint.

If M_none is specified, no antialiasing is performed.

If M_multisample is specified, it means to use the special framebuffer multisample bits for antialiasing, if it is available. If so, the M_point, M_line, and M_polygon modes are ignored. This advanced antialiasing mode is only available on certain graphics hardware. If it is not available, the M_multisample bit is ignored (and the other modes may be used instead, if specified).

M_point, M_line, and/or M_polygon specify per-primitive smoothing. When enabled, M_point and M_line may force transparency on. M_polygon requires a frame buffer that includes an alpha channel, and it works best if the primitives are sorted front-to-back.

If M_auto is specified, M_multisample is selected if it is available, otherwise M_polygon is selected, unless drawing lines or points, in which case M_line or M_point is selected (these two generally produce better results than M_multisample)

static RenderAttrib const makeDefault | ( |  | ) | `[static]`

Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties